Subject: Re: bug#50666: 28.0.50; Fix native compilation on Cygwin

From: Andrea Corallo <[email-masked]>
Date: Fri, 24 Sep 2021 12:49:19 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: ASSI <[email-masked]>, [email-masked], [email-masked]
>> Date: Fri, 24 Sep 2021 07:26:11 +0000
>> 
>> > Or maybe we should add an automatic fallback on .elc/.el in case
>> > loading a .eln fails?  Andrea, WDYT? will that work?
>> 
>> Yes I think we could have an automatic fallback, we might have
>> 'native-elisp-load' (invoked by 'load') re invoke load itself in case of
>> failure, not very clean tho.
>
> Is 'native-elisp-load' always called from 'load'?

No but we could have it just return nil in case of fail with no
breakage.

> If so, we could
> make it return some special value to signal that fallback is in order,
> and then modify 'load' to proceed with loading *.el/*.elc file in that
> case.

Not sure how complex would be to integrate that with the controlo flow
in 'load' but yes that's a good idea if we wanna pursue this way.

  Andrea